package com.hzya.frame.sysnew.integtationTask;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.application.plugin.entity.SysApplicationPluginEntity;
import com.hzya.frame.sysnew.integtationTask.entity.IntegrationTaskEntity;
import com.hzya.frame.sysnew.integtationTaskLiving.entity.IntegrationTaskLivingEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 集成任务(IntegrationTask)表服务接口
 *
 * @author makejava
 * @since 2024-05-06 15:36:10
 */
public interface IIntegrationTaskCacheableService  {

    IntegrationTaskEntity getIntegrationTaskEntity(String id);

    IntegrationTaskEntity updateIntegrationTaskEntity(IntegrationTaskEntity entity);

    void deleteIntegrationTaskEntity(IntegrationTaskEntity entity);


    IntegrationTaskLivingEntity getIntegrationTaskLivingEntity(String id);

    IntegrationTaskLivingEntity updateIntegrationTaskLivingEntity(IntegrationTaskLivingEntity entity);

    void deleteIntegrationTaskLivingEntity(IntegrationTaskLivingEntity entity);

    SysApplicationPluginEntity getSysApplicationPluginEntity(String id);

    SysApplicationPluginEntity updateSysApplicationPluginEntity(SysApplicationPluginEntity entity);

    void deleteSysApplicationPluginEntity(SysApplicationPluginEntity entity);
}
